(define-module (ui mkve kvm ajax)
               :use-module (alterator ajax)
               :use-module (alterator woo)

               :export (init))

(define (say message) (format #t (string-append message "~%")))

(define (do-set-password)
  (woo-write "/mkve-kvm/password" 'machine (form-value "machine") 'password (form-value "passwd_1")))

(define (set-password)
  (if (string=? (form-value "passwd_1") (form-value "passwd_2"))
      (if (not (string=? "" (form-value "passwd_2")))
        (catch/message do-set-password))))

(define (go-main) (form-replace "/mkve"))

(define (init)
  (form-bind "set_password" "click" set-password)
  (form-bind "go_main" "click" go-main)
  )
